## ros-one-test-catkin-virtualenv 0.17.0-4jammy.20260116.2100

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(test_catkin_virtualenv)

find_package(catkin REQUIRED COMPONENTS catkin_virtualenv)

catkin_generate_virtualenv(
  INPUT_REQUIREMENTS requirements.in
)

# Order with catkin_generate_virtualenv shouldn't matter
catkin_package()

install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  catkin_install_python(
    PROGRAMS
      test/test_virtualenv_script
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

  catkin_add_nosetests(test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )

  add_rostest(test/virtualenv_script.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )

endif()

=== requirements.txt ===
certifi==2025.1.31        # via requests
charset-normalizer==3.4.1  # via requests
idna==3.10                # via requests
packaging==24.2           # via -r requirements.in
requests==2.32.3          # via -r requirements.in
urllib3==2.2.3            # via -r requirements.in, requests

=== debian/changelog ===
ros-one-test-catkin-virtualenv (0.17.0-4jammy.20260116.2100) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 16 Jan 2026 21:00:22 +0000

ros-one-test-catkin-virtualenv (0.17.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 30 Sep 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.16.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 06 Jun 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.15.1-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.15.0-0jammy) jammy; urgency=high

  * [ROS-O] Update dependencies version to support testing on Ubuntu noble / ROS-O (#115 <https://github.com/locusrobotics/catkin_virtualenv/issues/115>)
  * Contributors: Yuki Furuta

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.14.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 04 Feb 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.13.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 16 Sep 2024 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.12.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.11.0-0jammy) jammy; urgency=high

  * 0.10.0
  * Update changelogs
  * Drop python2 and add Jammy support (#101)
    * Updating pip and pip-tools
    * Trying older version of pip and pip-tools
    * Using slightly newer version of pip and piptools
    * Ensuring we are using python3
    * fix typo
    * Updating catkin-pkg for Jammy support
    * Remove test_virtualenv_python2
    * Update requirements to fix build error
    * Remove python3 direct reference from venv
    * Update pip and pip-tools for 3.7+ compatibility
    * Don't enumerate python versions
    * Add compatibility notes
    * Remove melodic test and python2 references
    * Fix build error more
    * Get rid of requests as a package for testing
    * get_pip isn't versioned 3.6 onwards
    * Fixup double pip-tools
    * Revert "Get rid of requests as a package for testing"
    This reverts commit 55e5b5889d1080303c52fb4e6671d5061498ac57.
    * Try fix action
    * Disable isolated tests
    * Revert changes to match the dependencies
    ---------
    Co-authored-by: Kalpesh Lad <mailto:klad@locusrobotics.com>
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
  * 0.9.0
  * Update changelogs
  * 0.8.0
  * Update changelogs
  * Revert "Update changelogs"
    This reverts commit 33618e7dec29a058931e5e7190456b4418140c78.
  * Update changelogs
  * Contributors: Gary Servin, Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.10.0-0jammy) jammy; urgency=high

  * Drop python2 and add Jammy support (#101)
    * Updating pip and pip-tools
    * Trying older version of pip and pip-tools
    * Using slightly newer version of pip and piptools
    * Ensuring we are using python3
    * fix typo
    * Updating catkin-pkg for Jammy support
    * Remove test_virtualenv_python2
    * Update requirements to fix build error
    * Remove python3 direct reference from venv
    * Update pip and pip-tools for 3.7+ compatibility
    * Don't enumerate python versions
    * Add compatibility notes
    * Remove melodic test and python2 references
    * Fix build error more
    * Get rid of requests as a package for testing
    * get_pip isn't versioned 3.6 onwards
    * Fixup double pip-tools
    * Revert "Get rid of requests as a package for testing"
    This reverts commit 55e5b5889d1080303c52fb4e6671d5061498ac57.
    * Try fix action
    * Disable isolated tests
    * Revert changes to match the dependencies
    ---------
    Co-authored-by: Kalpesh Lad <mailto:klad@locusrobotics.com>
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
  * 0.9.0
  * Update changelogs
  * 0.8.0
  * Update changelogs
  * Revert "Update changelogs"
    This reverts commit 33618e7dec29a058931e5e7190456b4418140c78.
  * Update changelogs
  * Contributors: Gary Servin, Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 25 Sep 2023 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.9.0-0jammy) jammy; urgency=high

  * 0.8.0
  * Update changelogs
  * Contributors: Gary Servin

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Wed, 22 Feb 2023 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.8.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.7.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 02 Oct 2020 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.6.1-0jammy) jammy; urgency=high

  * Correct dependencies and autoformat (#72 <https://github.com/locusrobotics/catkin_virtualenv/issues/72>)
    * Remove python-virtualenv dep
    * Add python2-dev
    * Lint
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 24 Aug 2020 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.6.0-0jammy) jammy; urgency=high

  * Don't require catkin_package to be called before catkin_generate_virtualenv (#67 <https://github.com/locusrobotics/catkin_virtualenv/issues/67>)
  * Remove user specific paths (#63 <https://github.com/locusrobotics/catkin_virtualenv/issues/63>)
    * Remove user specific paths
    * Change working directory of venv_lock command
    * Lock catkin_virtualenv base requirements
    Co-authored-by: Paul Bovbel <mailto:paul@bovbel.com>
  * RST-3172 Refactor catkin_virtualenv to allow locking dependencies (#55 <https://github.com/locusrobotics/catkin_virtualenv/issues/55>)
    * Remove unused options
    * Fix regex for comments
    * Migrate scripts


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-test-catkin-virtualenv//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-test-catkin-virtualenv 0.17.0-4noble.20260116.2059

=== debian/changelog ===
ros-one-test-catkin-virtualenv (0.17.0-4noble.20260116.2059) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 16 Jan 2026 20:59:23 +0000

ros-one-test-catkin-virtualenv (0.17.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 30 Sep 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.16.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 06 Jun 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.15.1-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.15.0-0noble) noble; urgency=high

  * [ROS-O] Update dependencies version to support testing on Ubuntu noble / ROS-O (#115 <https://github.com/locusrobotics/catkin_virtualenv/issues/115>)
  * Contributors: Yuki Furuta

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.14.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 04 Feb 2025 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.13.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 16 Sep 2024 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.12.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.11.0-0noble) noble; urgency=high

  * 0.10.0
  * Update changelogs
  * Drop python2 and add Jammy support (#101)
    * Updating pip and pip-tools
    * Trying older version of pip and pip-tools
    * Using slightly newer version of pip and piptools
    * Ensuring we are using python3
    * fix typo
    * Updating catkin-pkg for Jammy support
    * Remove test_virtualenv_python2
    * Update requirements to fix build error
    * Remove python3 direct reference from venv
    * Update pip and pip-tools for 3.7+ compatibility
    * Don't enumerate python versions
    * Add compatibility notes
    * Remove melodic test and python2 references
    * Fix build error more
    * Get rid of requests as a package for testing
    * get_pip isn't versioned 3.6 onwards
    * Fixup double pip-tools
    * Revert "Get rid of requests as a package for testing"
    This reverts commit 55e5b5889d1080303c52fb4e6671d5061498ac57.
    * Try fix action
    * Disable isolated tests
    * Revert changes to match the dependencies
    ---------
    Co-authored-by: Kalpesh Lad <mailto:klad@locusrobotics.com>
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
  * 0.9.0
  * Update changelogs
  * 0.8.0
  * Update changelogs
  * Revert "Update changelogs"
    This reverts commit 33618e7dec29a058931e5e7190456b4418140c78.
  * Update changelogs
  * Contributors: Gary Servin, Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.10.0-0noble) noble; urgency=high

  * Drop python2 and add Jammy support (#101)
    * Updating pip and pip-tools
    * Trying older version of pip and pip-tools
    * Using slightly newer version of pip and piptools
    * Ensuring we are using python3
    * fix typo
    * Updating catkin-pkg for Jammy support
    * Remove test_virtualenv_python2
    * Update requirements to fix build error
    * Remove python3 direct reference from venv
    * Update pip and pip-tools for 3.7+ compatibility
    * Don't enumerate python versions
    * Add compatibility notes
    * Remove melodic test and python2 references
    * Fix build error more
    * Get rid of requests as a package for testing
    * get_pip isn't versioned 3.6 onwards
    * Fixup double pip-tools
    * Revert "Get rid of requests as a package for testing"
    This reverts commit 55e5b5889d1080303c52fb4e6671d5061498ac57.
    * Try fix action
    * Disable isolated tests
    * Revert changes to match the dependencies
    ---------
    Co-authored-by: Kalpesh Lad <mailto:klad@locusrobotics.com>
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
  * 0.9.0
  * Update changelogs
  * 0.8.0
  * Update changelogs
  * Revert "Update changelogs"
    This reverts commit 33618e7dec29a058931e5e7190456b4418140c78.
  * Update changelogs
  * Contributors: Gary Servin, Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 25 Sep 2023 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.9.0-0noble) noble; urgency=high

  * 0.8.0
  * Update changelogs
  * Contributors: Gary Servin

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Wed, 22 Feb 2023 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.8.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.7.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 02 Oct 2020 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.6.1-0noble) noble; urgency=high

  * Correct dependencies and autoformat (#72 <https://github.com/locusrobotics/catkin_virtualenv/issues/72>)
    * Remove python-virtualenv dep
    * Add python2-dev
    * Lint
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 24 Aug 2020 00:00:00 -0000

ros-one-test-catkin-virtualenv (0.6.0-0noble) noble; urgency=high

  * Don't require catkin_package to be called before catkin_generate_virtualenv (#67 <https://github.com/locusrobotics/catkin_virtualenv/issues/67>)
  * Remove user specific paths (#63 <https://github.com/locusrobotics/catkin_virtualenv/issues/63>)
    * Remove user specific paths
    * Change working directory of venv_lock command
    * Lock catkin_virtualenv base requirements
    Co-authored-by: Paul Bovbel <mailto:paul@bovbel.com>
  * RST-3172 Refactor catkin_virtualenv to allow locking dependencies (#55 <https://github.com/locusrobotics/catkin_virtualenv/issues/55>)
    * Remove unused options
    * Fix regex for comments
    * Migrate scripts


## ros-one-test-catkin-virtualenv 0.17.0-6jammy.20260207.2136

=== debian/changelog ===
ros-one-test-catkin-virtualenv (0.17.0-6jammy.20260207.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Sat, 07 Feb 2026 21:36:00 +0000

## ros-one-test-catkin-virtualenv 0.17.0-6noble.20260207.2137

=== debian/changelog ===
ros-one-test-catkin-virtualenv (0.17.0-6noble.20260207.2137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Sat, 07 Feb 2026 21:37:20 +0000

=== debian/control ===
Source: ros-one-test-catkin-virtualenv
Section: misc
Priority: optional
Maintainer: Paul Bovbel <pbovbel@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-catkin-virtualenv
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-test-catkin-virtualenv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Basic catkin_virtualenv test.
